Closed Bug 1232995 Opened 4 years ago Closed 6 months ago

HTML5 Geolocation Not Working After Update to version 43

Categories

(Core :: DOM: Geolocation, defect)

43 Branch
defect
Not set

Tracking

()

RESOLVED FIXED
Tracking Status
firefox42 --- unaffected
firefox43 --- unaffected
firefox44 --- unaffected
firefox45 --- unaffected
firefox46 - unaffected

People

(Reporter: brunomptorres, Unassigned)

References

()

Details

(Keywords: dev-doc-complete, regression, site-compat)

User Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:43.0) Gecko/20100101 Firefox/43.0
Build ID: 20151208200940

Steps to reproduce:

Firefox updated automatically to the new version (43) and html5 geolocation services stopped working. Tried various websites and none can find my location. First found out because I'm developing a WebApp that requires said service. I've reinstalled the 32-bit version and removed to use the 64-bit version and the problem persists.


Actual results:

Html5 Geolocation Service stopped working after update to version 43.


Expected results:

Firefox should be able to find my location through Html5 Geolocation.
WFM with FF43 on http://html5demos.com/geo

Did you verify in about:config that geo.enabled=true?

Could you try:
1) in safe mode:
https://support.mozilla.org/en-US/kb/troubleshoot-firefox-issues-using-safe-mode
2) with a fresh profile:
https://support.mozilla.org/en-US/kb/profile-manager-create-and-remove-firefox-profiles
Component: Untriaged → Geolocation
Flags: needinfo?(brunomptorres)
Product: Firefox → Core
http://html5demos.com/geo returns "Finding your location: failed"
geo.enable=true confirmed.

Safe mode doesn't solve.
Fresh profile doesn't solve.
Flags: needinfo?(brunomptorres)
If you downgrade to FF42, does it work?
http://ftp.mozilla.org/pub/firefox/releases/42.0/win32/
Yes, the version 42 works.

I have the same problem with FF43.
Version FF42 works great. Problem only exists in FF43 (32-bit and 64 bit).
Tested FF43 for Android don't have this bug. 

Maybe need to be moved to Firefox Desktop only.
As it works with 42 but not with 43, maybe there i a regression bug triggered on your machine (as I'm not able to reproduce it on my side). So could you install the dev tool mozregression to find a regression range: http://mozilla.github.io/mozregression/

You need to install python 2.7 and the package mozregression (pick the command-line version, see the documentation).

After that, run the command: "mozregression --bits=32 --good=42"
and run the test http://html5demos.com/geo to know if each build downloaded is bad or good.

Then copy here the pushlog displayed in the console output.
Flags: needinfo?(brunomptorres)
There you go @Loic. Every build downloaded was good and the geolocation worked as expected.

λ mozregression --bits=32 --good=42
**********
You should use a config file. Please use the --write-config command line flag to help you create one.
**********

 0:01.55 LOG: MainThread INFO No 'bad' option specified, using 2015-12-16
 0:01.56 LOG: MainThread INFO Using date 2015-08-10 for release 42
 0:12.79 LOG: MainThread Bisector INFO Pushlog:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=0e269a1f1beb&tochange=0babaa3edcf908c393b68a3dc2d
1c2a2450c31ed

 0:12.80 LOG: MainThread download INFO Downloading build from: https://archive.mozilla.org/pub/firefox/nightly/
2015/10/2015-10-13-03-02-25-mozilla-central/firefox-44.0a1.en-US.win32.zip
===== Downloaded 100% =====
 2:17.22 LOG: MainThread Test Runner INFO Running mozilla-central build for 2015-10-13
 2:25.46 LOG: MainThread Test Runner INFO Launching c:\users\bruno\appdata\local\temp\tmpotdgu0\firefox\firefox
.exe
 2:25.62 LOG: MainThread mozversion INFO application_buildid: 20151013030225
 2:25.62 LOG: MainThread mozversion INFO application_changeset: 607a236c229994df99766c005f9ec729532d7747
 2:25.62 LOG: MainThread mozversion INFO application_name: Firefox
 2:25.62 LOG: MainThread mozversion INFO application_repository: https://hg.mozilla.org/mozilla-central
 2:25.62 LOG: MainThread mozversion INFO application_version: 44.0a1
Was this nightly build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry' or 'exit' and press Enter): g
ood
 3:35.76 LOG: MainThread Bisector INFO Narrowed nightly regression window from [2015-08-10, 2015-12-16] (128 da
ys) to [2015-10-13, 2015-12-16] (64 days) (~6 steps left)
 3:35.76 LOG: MainThread Bisector INFO Pushlog:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=607a236c229994df99766c005f9ec729532d7747&tochange
=0babaa3edcf908c393b68a3dc2d1c2a2450c31ed

 3:35.77 LOG: MainThread download INFO Using local file: c:\users\bruno\appdata\local\temp\tmp8jdr13\2015-11-14
--mozilla-central--firefox-45.0a1.en-US.win32.zip (downloaded in background)
 3:43.59 LOG: MainThread Test Runner INFO Running mozilla-central build for 2015-11-14
 3:49.95 LOG: MainThread Test Runner INFO Launching c:\users\bruno\appdata\local\temp\tmpe8amr6\firefox\firefox
.exe
 3:50.09 LOG: MainThread mozversion INFO application_buildid: 20151114030404
 3:50.10 LOG: MainThread mozversion INFO application_changeset: 202b199b9fcf37a687bef882f2513e191f079622
 3:50.10 LOG: MainThread mozversion INFO application_name: Firefox
 3:50.10 LOG: MainThread mozversion INFO application_repository: https://hg.mozilla.org/mozilla-central
 3:50.10 LOG: MainThread mozversion INFO application_version: 45.0a1
Was this nightly build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry', 'back' or 'exit' and press E
nter): good
 4:21.08 LOG: MainThread Bisector INFO Narrowed nightly regression window from [2015-10-13, 2015-12-16] (64 day
s) to [2015-11-14, 2015-12-16] (32 days) (~5 steps left)
 4:21.09 LOG: MainThread Bisector INFO Pushlog:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=202b199b9fcf37a687bef882f2513e191f079622&tochange
=0babaa3edcf908c393b68a3dc2d1c2a2450c31ed

 4:21.09 LOG: MainThread download INFO Using local file: c:\users\bruno\appdata\local\temp\tmp8jdr13\2015-11-30
--mozilla-central--firefox-45.0a1.en-US.win32.zip (downloaded in background)
 4:28.26 LOG: MainThread Test Runner INFO Running mozilla-central build for 2015-11-30
 4:34.67 LOG: MainThread Test Runner INFO Launching c:\users\bruno\appdata\local\temp\tmpwmk78c\firefox\firefox
.exe
 4:34.81 LOG: MainThread mozversion INFO application_buildid: 20151130030228
 4:34.81 LOG: MainThread mozversion INFO application_changeset: 47b49b0d32360fab04b11ff9120970979c426911
 4:34.81 LOG: MainThread mozversion INFO application_name: Firefox
 4:34.82 LOG: MainThread mozversion INFO application_repository: https://hg.mozilla.org/mozilla-central
 4:34.82 LOG: MainThread mozversion INFO application_version: 45.0a1
Was this nightly build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry', 'back' or 'exit' and press E
nter): good
 5:04.58 LOG: MainThread Bisector INFO Narrowed nightly regression window from [2015-11-14, 2015-12-16] (32 day
s) to [2015-11-30, 2015-12-16] (16 days) (~4 steps left)
 5:04.58 LOG: MainThread Bisector INFO Pushlog:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=47b49b0d32360fab04b11ff9120970979c426911&tochange
=0babaa3edcf908c393b68a3dc2d1c2a2450c31ed

 5:04.58 LOG: MainThread download INFO Using local file: c:\users\bruno\appdata\local\temp\tmp8jdr13\2015-12-08
--mozilla-central--firefox-45.0a1.en-US.win32.zip (downloaded in background)
 5:15.84 LOG: MainThread Test Runner INFO Running mozilla-central build for 2015-12-08
 5:21.72 LOG: MainThread Test Runner INFO Launching c:\users\bruno\appdata\local\temp\tmpbxc9sr\firefox\firefox
.exe
 5:21.85 LOG: MainThread mozversion INFO application_buildid: 20151208203040
 5:21.85 LOG: MainThread mozversion INFO application_changeset: a8965ae93c5d098a4f91ad9da72150bb43df07a7
 5:21.85 LOG: MainThread mozversion INFO application_name: Firefox
 5:21.86 LOG: MainThread mozversion INFO application_repository: https://hg.mozilla.org/mozilla-central
 5:21.86 LOG: MainThread mozversion INFO application_version: 45.0a1
Was this nightly build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry', 'back' or 'exit' and press E
nter): good
 5:48.93 LOG: MainThread Bisector INFO Narrowed nightly regression window from [2015-11-30, 2015-12-16] (16 day
s) to [2015-12-08, 2015-12-16] (8 days) (~3 steps left)
 5:48.93 LOG: MainThread Bisector INFO Pushlog:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=a8965ae93c5d098a4f91ad9da72150bb43df07a7&tochange
=0babaa3edcf908c393b68a3dc2d1c2a2450c31ed

 5:48.94 LOG: MainThread download INFO Using local file: c:\users\bruno\appdata\local\temp\tmp8jdr13\2015-12-12
--mozilla-central--firefox-45.0a1.en-US.win32.zip (downloaded in background)
 5:57.66 LOG: MainThread Test Runner INFO Running mozilla-central build for 2015-12-12
 6:03.74 LOG: MainThread Test Runner INFO Launching c:\users\bruno\appdata\local\temp\tmpgkaq3p\firefox\firefox
.exe
 6:03.88 LOG: MainThread mozversion INFO application_buildid: 20151212030222
 6:03.88 LOG: MainThread mozversion INFO application_changeset: 694a530e236564a3d9f4b9fd7d9e96ae782b3a7b
 6:03.89 LOG: MainThread mozversion INFO application_name: Firefox
 6:03.89 LOG: MainThread mozversion INFO application_repository: https://hg.mozilla.org/mozilla-central
 6:03.89 LOG: MainThread mozversion INFO application_version: 45.0a1
Was this nightly build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry', 'back' or 'exit' and press E
nter): good
 6:34.13 LOG: MainThread Bisector INFO Narrowed nightly regression window from [2015-12-08, 2015-12-16] (8 days
) to [2015-12-12, 2015-12-16] (4 days) (~2 steps left)
 6:34.13 LOG: MainThread Bisector INFO Pushlog:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=694a530e236564a3d9f4b9fd7d9e96ae782b3a7b&tochange
=0babaa3edcf908c393b68a3dc2d1c2a2450c31ed

 6:34.14 LOG: MainThread download INFO Using local file: c:\users\bruno\appdata\local\temp\tmp8jdr13\2015-12-14
--mozilla-central--firefox-46.0a1.en-US.win32.zip (downloaded in background)
 6:40.70 LOG: MainThread Test Runner INFO Running mozilla-central build for 2015-12-14
 6:46.34 LOG: MainThread Test Runner INFO Launching c:\users\bruno\appdata\local\temp\tmpktgegp\firefox\firefox
.exe
 6:46.46 LOG: MainThread mozversion INFO application_buildid: 20151214122242
 6:46.46 LOG: MainThread mozversion INFO application_changeset: 06ab805e14b5e6d8a8a99c7846c8fde163a9e5d7
 6:46.46 LOG: MainThread mozversion INFO application_name: Firefox
 6:46.46 LOG: MainThread mozversion INFO application_repository: https://hg.mozilla.org/mozilla-central
 6:46.46 LOG: MainThread mozversion INFO application_version: 46.0a1
Was this nightly build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry', 'back' or 'exit' and press E
nter): good
 7:17.57 LOG: MainThread Bisector INFO Narrowed nightly regression window from [2015-12-12, 2015-12-16] (4 days
) to [2015-12-14, 2015-12-16] (2 days) (~1 steps left)
 7:17.57 LOG: MainThread Bisector INFO Pushlog:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=06ab805e14b5e6d8a8a99c7846c8fde163a9e5d7&tochange
=0babaa3edcf908c393b68a3dc2d1c2a2450c31ed

 7:17.58 LOG: MainThread download INFO Using local file: c:\users\bruno\appdata\local\temp\tmp8jdr13\2015-12-15
--mozilla-central--firefox-46.0a1.en-US.win32.zip (downloaded in background)
 7:17.58 LOG: MainThread Test Runner INFO Running mozilla-central build for 2015-12-15
 7:23.01 LOG: MainThread Test Runner INFO Launching c:\users\bruno\appdata\local\temp\tmpfynpgu\firefox\firefox
.exe
 7:23.12 LOG: MainThread mozversion INFO application_buildid: 20151215030221
 7:23.12 LOG: MainThread mozversion INFO application_changeset: ae37fdb042c07c0cb9d0afcd41372a96454f4f4f
 7:23.12 LOG: MainThread mozversion INFO application_name: Firefox
 7:23.12 LOG: MainThread mozversion INFO application_repository: https://hg.mozilla.org/mozilla-central
 7:23.13 LOG: MainThread mozversion INFO application_version: 46.0a1
Was this nightly build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry', 'back' or 'exit' and press E
nter): good
 7:48.64 LOG: MainThread Bisector INFO Narrowed nightly regression window from [2015-12-14, 2015-12-16] (2 days
) to [2015-12-15, 2015-12-16] (1 days) (~0 steps left)
 7:48.64 LOG: MainThread main INFO Got as far as we can go bisecting nightlies...
 7:48.65 LOG: MainThread Bisector INFO Last good revision: ae37fdb042c07c0cb9d0afcd41372a96454f4f4f (2015-12-15
)
 7:48.65 LOG: MainThread Bisector INFO First bad revision: 0babaa3edcf908c393b68a3dc2d1c2a2450c31ed (2015-12-16
)
 7:48.65 LOG: MainThread Bisector INFO Pushlog:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=ae37fdb042c07c0cb9d0afcd41372a96454f4f4f&tochange
=0babaa3edcf908c393b68a3dc2d1c2a2450c31ed

 7:48.65 LOG: MainThread main INFO Switching bisection method to taskcluster
 7:48.65 LOG: MainThread main INFO Getting mozilla-central builds between ae37fdb042c07c0cb9d0afcd41372a96454f4
f4f and 0babaa3edcf908c393b68a3dc2d1c2a2450c31ed
 7:52.50 LOG: MainThread Bisector INFO Pushlog:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=ae37fdb042c07c0cb9d0afcd41372a96454f4f4f&tochange
=0babaa3edcf908c393b68a3dc2d1c2a2450c31ed

 7:52.51 LOG: MainThread download INFO Downloading build from: https://queue.taskcluster.net/v1/task/4s8QKTbhRm
aHwviQQuL45g/runs/0/artifacts/public%2Fbuild%2Ffirefox-46.0a1.en-US.win32.zip
===== Downloaded 100% =====
 8:16.05 LOG: Thread-85 Bisector WARNING Skipping build 6edfdc835ce980cbaf56219c92809e7d7ca6b94b: Unable to fin
d build info using the taskcluster route u'buildbot.revisions.6edfdc835ce9.mozilla-central.win32'
 8:21.20 LOG: MainThread Test Runner INFO Running mozilla-central build built on 2015-12-16 00:52:47.718000, re
vision 8f3a1bd7
 8:27.16 LOG: MainThread Test Runner INFO Launching c:\users\bruno\appdata\local\temp\tmpk3wdxw\firefox\firefox
.exe
 8:27.29 LOG: MainThread mozversion INFO application_buildid: 20151215152858
 8:27.29 LOG: MainThread mozversion INFO application_changeset: 8f3a1bd74aee41509e0c3cb3e6f1ba1954e5fb0a
 8:27.29 LOG: MainThread mozversion INFO application_name: Firefox
 8:27.29 LOG: MainThread mozversion INFO application_repository: https://hg.mozilla.org/mozilla-central
 8:27.29 LOG: MainThread mozversion INFO application_version: 46.0a1
Was this inbound build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry' or 'exit' and press Enter): g
ood
 9:03.19 LOG: MainThread Bisector INFO Narrowed inbound regression window from [ae37fdb0, 0babaa3e] (10 revisio
ns) to [8f3a1bd7, 0babaa3e] (5 revisions) (~2 steps left)
 9:03.20 LOG: MainThread Bisector INFO Pushlog:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=8f3a1bd74aee41509e0c3cb3e6f1ba1954e5fb0a&tochange
=0babaa3edcf908c393b68a3dc2d1c2a2450c31ed

 9:03.20 LOG: MainThread download INFO Downloading build from: https://queue.taskcluster.net/v1/task/3ARGDCFuSt
moOU8I7wd22Q/runs/0/artifacts/public%2Fbuild%2Ffirefox-46.0a1.en-US.win32.zip
===== Downloaded 100% =====
 9:19.12 LOG: MainThread Test Runner INFO Running mozilla-central build built on 2015-12-16 03:49:10.312000, revision e6463ae7
 9:24.75 LOG: MainThread Test Runner INFO Launching c:\users\bruno\appdata\local\temp\tmpvejwpr\firefox\firefox.exe
 9:24.90 LOG: MainThread mozversion INFO application_buildid: 20151215163006
 9:24.90 LOG: MainThread mozversion INFO application_changeset: e6463ae7eda2775bc84593bb4a0742940bb87379
 9:24.91 LOG: MainThread mozversion INFO application_name: Firefox
 9:24.91 LOG: MainThread mozversion INFO application_repository: https://hg.mozilla.org/mozilla-central
 9:24.91 LOG: MainThread mozversion INFO application_version: 46.0a1
Was this inbound build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry', 'back' or 'exit' and press Enter): good
 9:51.30 LOG: MainThread Bisector INFO Narrowed inbound regression window from [8f3a1bd7, 0babaa3e] (5 revisions) to [e6463ae7, 0babaa3e] (3 revisions) (~1 steps left)
 9:51.30 LOG: MainThread Bisector INFO Pushlog:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=e6463ae7eda2775bc84593bb4a0742940bb87379&tochange=0babaa3edcf908c393b68a3dc2d1c2a2450c31ed

 9:51.30 LOG: MainThread download INFO Downloading build from: https://queue.taskcluster.net/v1/task/07HvkO5pQm66NP92nzZI3A/runs/0/artifacts/public%2Fbuild%2Ffirefox-46.0a1.en-US.win32.zip
===== Downloaded 100% =====
10:05.86 LOG: MainThread Test Runner INFO Running mozilla-central build built on 2015-12-16 12:30:34.008000, revision 40038a66
10:11.15 LOG: MainThread Test Runner INFO Launching c:\users\bruno\appdata\local\temp\tmpgayhmf\firefox\firefox.exe
10:11.27 LOG: MainThread mozversion INFO application_buildid: 20151216025907
10:11.27 LOG: MainThread mozversion INFO application_changeset: 40038a66525f454aadc0f887bae55c6a60ef7290
10:11.27 LOG: MainThread mozversion INFO application_name: Firefox
10:11.27 LOG: MainThread mozversion INFO application_repository: https://hg.mozilla.org/mozilla-central
10:11.28 LOG: MainThread mozversion INFO application_version: 46.0a1
Was this inbound build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry', 'back' or 'exit' and press Enter): good
10:37.46 LOG: MainThread Bisector INFO Narrowed inbound regression window from [e6463ae7, 0babaa3e] (3 revisions) to [40038a66, 0babaa3e] (2 revisions) (~1 steps left)
10:37.46 LOG: MainThread main INFO Oh noes, no (more) inbound revisions :(
10:37.46 LOG: MainThread Bisector INFO Last good revision: 40038a66525f454aadc0f887bae55c6a60ef7290
10:37.46 LOG: MainThread Bisector INFO First bad revision: 0babaa3edcf908c393b68a3dc2d1c2a2450c31ed
10:37.46 LOG: MainThread Bisector INFO Pushlog:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=40038a66525f454aadc0f887bae55c6a60ef7290&tochange=0babaa3edcf908c393b68a3dc2d1c2a2450c31ed

10:39.58 LOG: MainThread Bisector INFO ************* Switching to mozilla-inbound
10:39.58 LOG: MainThread main INFO Getting mozilla-inbound builds between 31a4f341fc38ee9f855a8b0882722757c6847bb5 and c6fc9d77e86f07153d0e410bf43aafff33e53a45
10:43.81 LOG: MainThread Bisector INFO Pushlog:
https://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=31a4f341fc38ee9f855a8b0882722757c6847bb5&tochange=c6fc9d77e86f07153d0e410bf43aafff33e53a45

10:43.81 LOG: MainThread download INFO Downloading build from: https://queue.taskcluster.net/v1/task/TIxbWDXFS4CT0WJAM5wmeA/runs/0/artifacts/public%2Fbuild%2Ffirefox-46.0a1.en-US.win32.zip
===== Downloaded 100% =====
11:13.29 LOG: MainThread Test Runner INFO Running mozilla-inbound build built on 2015-12-15 23:34:49.942000, revision 63a4acec
11:18.34 LOG: MainThread Test Runner INFO Launching c:\users\bruno\appdata\local\temp\tmprbo5ep\firefox\firefox.exe
11:18.51 LOG: MainThread mozversion INFO application_buildid: 20151215142757
11:18.51 LOG: MainThread mozversion INFO application_changeset: 63a4acec4bd39af15178217a37dbbc145096f59a
11:18.51 LOG: MainThread mozversion INFO application_name: Firefox
11:18.51 LOG: MainThread mozversion INFO application_repository: https://hg.mozilla.org/integration/mozilla-inbound
11:18.51 LOG: MainThread mozversion INFO application_version: 46.0a1
Was this inbound build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry' or 'exit' and press Enter): good
11:46.24 LOG: MainThread Bisector INFO Narrowed inbound regression window from [31a4f341, c6fc9d77] (23 revisions) to [63a4acec, c6fc9d77] (12 revisions) (~3 steps left)
11:46.24 LOG: MainThread Bisector INFO Pushlog:
https://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=63a4acec4bd39af15178217a37dbbc145096f59a&tochange=c6fc9d77e86f07153d0e410bf43aafff33e53a45

11:46.25 LOG: MainThread download INFO Downloading build from: https://queue.taskcluster.net/v1/task/scqOzj_PSguPWyKHHnAxoA/runs/0/artifacts/public%2Fbuild%2Ffirefox-46.0a1.en-US.win32.zip
===== Downloaded 100% =====
11:58.34 LOG: MainThread Test Runner INFO Running mozilla-inbound build built on 2015-12-16 01:28:09.249000, revision 71c45c37
12:03.44 LOG: MainThread Test Runner INFO Launching c:\users\bruno\appdata\local\temp\tmpzt2gis\firefox\firefox.exe
12:03.57 LOG: MainThread mozversion INFO application_buildid: 20151215155958
12:03.57 LOG: MainThread mozversion INFO application_changeset: 71c45c3742f40e07f58171bba4a70ba1ea0e2e63
12:03.57 LOG: MainThread mozversion INFO application_name: Firefox
12:03.57 LOG: MainThread mozversion INFO application_repository: https://hg.mozilla.org/integration/mozilla-inbound
12:03.57 LOG: MainThread mozversion INFO application_version: 46.0a1
Was this inbound build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry', 'back' or 'exit' and press Enter): good
12:32.25 LOG: MainThread Bisector INFO Narrowed inbound regression window from [63a4acec, c6fc9d77] (12 revisions) to [71c45c37, c6fc9d77] (6 revisions) (~2 steps left)
12:32.25 LOG: MainThread Bisector INFO Pushlog:
https://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=71c45c3742f40e07f58171bba4a70ba1ea0e2e63&tochange=c6fc9d77e86f07153d0e410bf43aafff33e53a45

12:32.26 LOG: MainThread download INFO Downloading build from: https://queue.taskcluster.net/v1/task/COdUZQh8Rzy7iqW_m_DvpA/runs/0/artifacts/public%2Fbuild%2Ffirefox-46.0a1.en-US.win32.zip
===== Downloaded 100% =====
12:34.29 LOG: Thread-129 Bisector WARNING Skipping build 495ff1195591a70f6e3b20bf72474e57400275ef: Unable to find build info using the taskcluster route u'buildbot.revisions.495ff1195591.mozilla-inbound.win32'
12:36.64 LOG: MainThread Test Runner INFO Running mozilla-inbound build built on 2015-12-16 01:44:57.869000, revision 86d03ae7
12:41.70 LOG: MainThread Test Runner INFO Launching c:\users\bruno\appdata\local\temp\tmpkdubvg\firefox\firefox.exe
12:41.81 LOG: MainThread mozversion INFO application_buildid: 20151215171906
12:41.81 LOG: MainThread mozversion INFO application_changeset: 86d03ae71ba2328da985d46af767e5b8a03aed01
12:41.81 LOG: MainThread mozversion INFO application_name: Firefox
12:41.81 LOG: MainThread mozversion INFO application_repository: https://hg.mozilla.org/integration/mozilla-inbound
12:41.81 LOG: MainThread mozversion INFO application_version: 46.0a1
Was this inbound build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry', 'back' or 'exit' and press Enter): good
13:10.36 LOG: MainThread Bisector INFO Narrowed inbound regression window from [71c45c37, c6fc9d77] (5 revisions) to [86d03ae7, c6fc9d77] (2 revisions) (~1 steps left)
13:10.37 LOG: MainThread main INFO Oh noes, no (more) inbound revisions :(
13:10.37 LOG: MainThread Bisector INFO Last good revision: 86d03ae71ba2328da985d46af767e5b8a03aed01
13:10.37 LOG: MainThread Bisector INFO First bad revision: c6fc9d77e86f07153d0e410bf43aafff33e53a45
13:10.37 LOG: MainThread Bisector INFO Pushlog:
https://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=86d03ae71ba2328da985d46af767e5b8a03aed01&tochange=c6fc9d77e86f07153d0e410bf43aafff33e53a45
Flags: needinfo?(brunomptorres)
So IIUC, you never hit a bad build when trying to bisect with mozregression. That's interesting. On the bright side, I can reproduce the problem at http://html5demos.com/geo. I'll see what I can figure out.
Doesn't reproduce on the final Aurora44 nightly, but it does reproduce on the current Beta44 tinderbox builds. So whatever's going on appears to be happening on release builds only.
(In reply to Ryan VanderMeulen [:RyanVM] from comment #11)
> First regressed in 43b8.
> 
> Regression range:
> https://hg.mozilla.org/releases/mozilla-beta/
> pushloghtml?fromchange=FIREFOX_43_0b7_RELEASE&tochange=FIREFOX_43_0b8_RELEASE
> 
> Mike, bug 1224000 looks semi-plausible?

Hardly. Can't you narrow it down further with tinderbox builds?
Flags: needinfo?(mh+mozilla)
Indeed, it's recent enough that I can. However, I'm really confused by the result.

https://hg.mozilla.org/releases/mozilla-beta/pushloghtml?fromchange=2efcef291e80&tochange=fb7f14adf833

The first bad build was an addon blocklist update?!?!
2efcef291e80 - Loads OK
fb7f14adf833 - Fails

I'm really at a loss here. No interesting buildbot-config changes around that time either.
Why are you not getting the same regression range as comment 13?
I can reproduce on Firefox43.0 and Beta44.0, but not Firefox42.0, Aurora45.0a2 and Nightly46.0a1.

I also got same result as RyanVM's results.

Regression window from beta builds:
Good 43.0b7:
https://hg.mozilla.org/releases/mozilla-beta/rev/a5ff3d8e6a635c5213907cd3ef3727fcc3989e86
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:43.0) Gecko/20100101 Firefox/43.0 ID:20151126120800

Bad 43.0b8:
https://hg.mozilla.org/releases/mozilla-beta/rev/fbc5a78c8d6756fcedc49b7467d3efaa062e712a
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:43.0) Gecko/20100101 Firefox/43.0 ID:20151201152349

Pushlog from beta builds:
https://hg.mozilla.org/releases/mozilla-beta/pushloghtml?fromchange=a5ff3d8e6a635c5213907cd3ef3727fcc3989e86&tochange=fbc5a78c8d6756fcedc49b7467d3efaa062e712a


Attempt to bisect with tinderbox build:
Good: http://archive.mozilla.org/pub/firefox/tinderbox-builds/mozilla-beta-win32/1448543530/
https://hg.mozilla.org/releases/mozilla-beta/rev/2efcef291e80565adc02b11c6d52973bb9437d06
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:43.0) Gecko/20100101 Firefox/43.0 ID:20151126051210

Bad:  http://archive.mozilla.org/pub/firefox/tinderbox-builds/mozilla-beta-win32/1448709992/
https://hg.mozilla.org/releases/mozilla-beta/rev/fb7f14adf8332ca8c6fa846c5aedfd7152bd7eb8
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:43.0) Gecko/20100101 Firefox/43.0 ID:20151128032632

Pushlog from tinderbox build:
https://hg.mozilla.org/releases/mozilla-beta/pushloghtml?fromchange=2efcef291e80565adc02b11c6d52973bb9437d06&tochange=fb7f14adf8332ca8c6fa846c5aedfd7152bd7eb8
(In reply to Mike Hommey [:glandium] from comment #16)
> Why are you not getting the same regression range as comment 13?

Because, there is working range between them
https://hg.mozilla.org/releases/mozilla-beta/pushloghtml?fromchange=07158fdbf7cb308d38a9d49591ca0b00f49ed924&tochange=57d947eb27f00dd3415a7c19f6dba23a39a00411
Be on the lookout for any changes around this:
http://lxr.mozilla.org/mozilla-release/source/browser/app/profile/firefox.js#1764

This is where release vs. pre-release geolocation settings are located.
(In reply to Garvan from comment #19)
> Be on the lookout for any changes around this:
> http://lxr.mozilla.org/mozilla-release/source/browser/app/profile/firefox.
> js#1764
> 
> This is where release vs. pre-release geolocation settings are located.

yes,
setting geo.wifi.uri = https://location.services.mozilla.com/v1/geolocate?key=%MOZILLA_API_KEY% in about:config fixed the problem on Firefox43.0 and latest tinderbox Beta44.0
Could it be bug 1210643?
(In reply to Alice0775 White from comment #20)
> (In reply to Garvan from comment #19)
> > Be on the lookout for any changes around this:
> > http://lxr.mozilla.org/mozilla-release/source/browser/app/profile/firefox.
> > js#1764
> > 
> > This is where release vs. pre-release geolocation settings are located.
> 
> yes,
> setting geo.wifi.uri =
> https://location.services.mozilla.com/v1/geolocate?key=%MOZILLA_API_KEY% in
> about:config fixed the problem on Firefox43.0 and latest tinderbox Beta44.0

I can confirm that setting the geo.wifi.uri =
> https://location.services.mozilla.com/v1/geolocate?key=%MOZILLA_API_KEY% in
> about:config fixes the problem on FF43, the only problem is that my location is 11km off with Mozilla Location API.
The bugs surrounding changes to the geolocation settings for 43 are mozilla-internal only, I'll pull in Chris and Hanno to take a look at this.

Summary: Fx 43 on Windows is confirmed to not have geolocation working with GLS geo.wifi.uri, works ok with MLS.

Any idea what is up? Was GLS API key removed from windows builders for Fx43?
Flags: needinfo?(hschlichting)
Flags: needinfo?(cpeterson)
See Also: → 1233389
I looked at the google admin, we are receiving a lot of requests per seconds. We should be fine 
CC Doug & Chris FYI
Flags: needinfo?(dougt)
Flags: needinfo?(catlee)
Duplicate of this bug: 1233389
Doug can probably explain best. We recently rotated the Google API key, and the new key only went into certain builds. Potentially the new key might not be cleared for geolocation yet, or it has rate limits on it. But it's very likely the failures are related to the API key and not to any code patches.
Flags: needinfo?(hschlichting)
One more bit, we are getting a "daily limit exceeded" error when using the API key shipped in current beta 43. You can verify yourself via something like:

curl -i -H 'Content-Type: application/json' https://www.googleapis.com/geolocation/v1/geolocate?key=<...> -d '{"cellTowers": [{"radioType": "gsm", "mobileCountryCode": 302, "mobileNetworkCode": 720, "locationAreaCode": 56350, "cellId": 23024}]}'

and replace ?key=<...> with the actual key. The key I see starts with "AI" and ends in "CM".
I don't know the current state of geolocation, so I will defer this question to Hanno and Doug.
Flags: needinfo?(cpeterson)
Is this something we can hotfix or do we need to do a build 2 of 43.0.1?
Talking with doug just now, it sounds like Google may fix this on their end. But, since we don't know when that will happen, if you give me a patch and land it on m-r, we can do a speculative build 2.  

I would be happier to release build 1 since we already have it built and tested. Build 2 will take hours and then will need QE testing and update tests. We are also about to release beta 1. So, please let me know as soon as possible when/if we have a patch here, or a fix from Google updating our rate limits.
(In reply to Hanno Schlichting [:hannosch] from comment #27)
> One more bit, we are getting a "daily limit exceeded" error when using the
> API key shipped in current beta 43. You can verify yourself via something
> like:
> 
> curl -i -H 'Content-Type: application/json'
> https://www.googleapis.com/geolocation/v1/geolocate?key=<...> -d
> '{"cellTowers": [{"radioType": "gsm", "mobileCountryCode": 302,
> "mobileNetworkCode": 720, "locationAreaCode": 56350, "cellId": 23024}]}'
> 
> and replace ?key=<...> with the actual key. The key I see starts with "AI"
> and ends in "CM".

using the key above I get:

{
 "error": {
  "errors": [
   {
    "domain": "usageLimits",
    "reason": "dailyLimitExceeded",
    "message": "Daily Limit Exceeded"
   }
  ],
  "code": 403,
  "message": "Daily Limit Exceeded"
 }
}


Using the key we used before rotation I get:

{
 "error": {
  "errors": [
   {
    "domain": "geolocation",
    "reason": "notFound",
    "message": "Not Found"
   }
  ],
  "code": 404,
  "message": "Not Found"
 }
}
Not sure what 404 means in the context... Is it for location or for the key...
Uh oh. 404 sounds not ideal.  Also, Hanno is not in our time zone and I don't see him on irc. Is there anyone else we should bring in to have a look?
Looks like the old key worked with the following values:

$ curl -i -H 'Content-Type: application/json'  'https://www.googleapis.com/geolocation/v1/geolocate?key=OLD_KEY' -d '{"cellTowers": [{"radioType": "gsm", "mobileCountryCode": 302, "mobileNetworkCode": 720, "locationAreaCode": 56350, "cellId": 23021}]}'
HTTP/1.1 200 OK
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: Fri, 01 Jan 1990 00:00:00 GMT
Date: Thu, 17 Dec 2015 22:31:06 GMT
Vary: X-Origin
Content-Type: application/json; charset=UTF-8
X-Content-Type-Options: nosniff
X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
Server: GSE
Alternate-Protocol: 443:quic,p=1
Alt-Svc: quic=":443"; ma=604800; v="30,29,28,27,26,25"
Accept-Ranges: none
Vary: Origin,Accept-Encoding
Transfer-Encoding: chunked

{
 "location": {
  "lat": 45.254757,
  "lng": -74.90777489999999
 },
 "accuracy": 4354.0
}
Worth to mention, I don't get any error using the new key now. Maybe they fixed the root clause?
Working for me now as well.
(In reply to Ryan VanderMeulen [:RyanVM] from comment #37)
> Working for me now as well.

+1
RESOLVED WFM? ;)
(In reply to Rail Aliiev [:rail] from comment #32)
> Not sure what 404 means in the context... Is it for location or for the
> key...

An actual JSON response with 404 inside it means Google doesn't know where you are. For next time, the API docs are at https://developers.google.com/maps/documentation/geolocation/intro
Yes, this has been fixed now. Sorry about the noise.
Status: NEW → RESOLVED
Closed: 4 years ago
Flags: needinfo?(dougt)
Flags: needinfo?(catlee)
Resolution: --- → WORKSFORME
This was an intermittent issue with the GLS key that has since been resolved by RelEng folks, it does not need to be tracked for any version.
I have got this bug again.
Hmm, just tested with https://www.mozilla.org/en-US/firefox/geolocation/ and it says "Oops! An error occurred while trying to determine your position."
Status: RESOLVED → REOPENED
Resolution: WORKSFORME → ---
I also ran into this issue on Fx 44.0b6 BuildID: 20160104162232. Marking 43, 44 and 45 as affected and noming for tracking.
I'm getting this now :/

{
 "error": {
  "errors": [
   {
    "domain": "usageLimits",
    "reason": "dailyLimitExceeded",
    "message": "Daily Limit Exceeded"
   }
  ],
  "code": 403,
  "message": "Daily Limit Exceeded"
 }
}
ni Sylvestre, who I think holds these keys.
Flags: needinfo?(sledru)
sent email.
Still not working for me!
Mail sent (just like comment #48)
Flags: needinfo?(sledru)
Duplicate of this bug: 1238557
Duplicate of this bug: 1238963
Working for me now.
I guess the API rate limit is reset daily, so it works for some users but doesn't work for others. Still no news from Google?
Duplicate of this bug: 1342466
I am still getting this bug. Changing geo.wifi.uri according to the steps above has not helped.

Firefox Version 59.0.2 (64-bit)
Mozilla Firefox for Ubuntu canonical - 1.0

from about:config:

geo.enabled;true
geo.wifi.uri;https://www.googleapis.com/geolocation/v1/geolocate?key=%GOOGLE_API_KEY%

javascript that produces error:

  if (navigator.geolocation) {
    navigator.geolocation.getCurrentPosition(function(position) {
      showWeather(position.coords.latitude, position.coords.longitude);
    }, function(error) {
      console.log('ERROR(' + error.code + '): ' + error.message);
    });
  }

console:
"ERROR(2): Unknown error acquiring position"
Flags: needinfo?(josh)
(In reply to michael.beauchemin from comment #58)
> I am still getting this bug. Changing geo.wifi.uri according to the steps
> above has not helped.
> 
> Firefox Version 59.0.2 (64-bit)
> Mozilla Firefox for Ubuntu canonical - 1.0

Are you using Ubuntu's own Firefox build or Mozilla's Linux Firefox build from https://www.mozilla.org/firefox/all/ ? Ubuntu's builds might not have a GOOGLE_API_KEY so the Google geo.wifi.uri would return an error.


> geo.wifi.uri;https://www.googleapis.com/geolocation/v1/
> geolocate?key=%GOOGLE_API_KEY%

Does geolocation work if you set geo.wifi.uri to use Mozilla's location service?

geo.wifi.uri = https://location.services.mozilla.com/v1/geolocate?key=%MOZILLA_API_KEY%
Flags: needinfo?(josh)
(In reply to Chris Peterson [:cpeterson] from comment #59)
> (In reply to michael.beauchemin from comment #58)
> > I am still getting this bug. Changing geo.wifi.uri according to the steps
> > above has not helped.
> > 
> > Firefox Version 59.0.2 (64-bit)
> > Mozilla Firefox for Ubuntu canonical - 1.0
> 
> Are you using Ubuntu's own Firefox build or Mozilla's Linux Firefox build
> from https://www.mozilla.org/firefox/all/ ? Ubuntu's builds might not have a
> GOOGLE_API_KEY so the Google geo.wifi.uri would return an error.
> 
> 
> > geo.wifi.uri;https://www.googleapis.com/geolocation/v1/
> > geolocate?key=%GOOGLE_API_KEY%
> 
> Does geolocation work if you set geo.wifi.uri to use Mozilla's location
> service?
> 
> geo.wifi.uri =
> https://location.services.mozilla.com/v1/geolocate?key=%MOZILLA_API_KEY%

No.
geolocation is working as expected now, using the exact same settings as when it wasn't working earlier (default geo.wifi.uri). I didn't change any code, or any part of the browser or OS. I don't know any helpful information I can report for this issue.
Maybe the quota was expired on the google API key when that was failing?
As this seems to be on Linux, bug 1458624 could be a factor.
This seems to have cropped up again. I can't seem to use geoLocation API on any website that it previously worked on.

Firefox version: 63.0.3 (64-bit)

>navigator.geolocation.getCurrentPosition(position => {
>  console.info(position)
>}, error => {
>  console.error(error)
>})

Running this basic code snippet in the console returns a PositionError object with the message "Unknown error acquiring position"

about:config "geo.wifi.uri" is set to 

>https://www.googleapis.com/geolocation/v1/geolocate?key=%GOOGLE_API_KEY%

Code snippet is tested in Chrome/IE and works as expected. 

Only thing I can see that could have caused a bug is that the google docs page has recently been updated

https://developers.google.com/maps/documentation/geolocation/intro - "Last updated November 26, 2018"

Any ideas?
It was also reported in the German-language support today that the geolocation API no longer works in Firefox.
How many requests did you do?
I changed the quota yesterday
(In reply to Sylvestre Ledru [:sylvestre] from comment #66)
> How many requests did you do?
> I changed the quota yesterday

Me personally? None to my knowledge yesterday (Unless there was sites I used that called it) started working on my feature using geolocation API this morning and got this error straight away.

How does it work out what %GOOGLE_API_KEY% is? Is that unique per user? If it's one key then surely the rate limit quota applies to every user in the world? And once one person rate limits it, that's it for everyone?

I opened up Firefox on my colleagues machine, and went off my network onto 4G (He uses chrome as default) and ran the snippet code above and got exactly the same results immediately. 

With that level of replication I wouldn't say it's a rate limit for just me (Certainly is german-language support is having issues too)
Same here. German Firefox is not working. Same error on my page. It has worked a view months. If i changed geo.wifi.uri to https://location.services.mozilla.com/v1/geolocate?key=test it's ok. But i hav'nt changed anything bevore. Did Firefox not use the location service of my device.
Windows 10 / 63.0.3 (64bit)
Things should be getting back to normal now.
Confirmed. Geo location is working now as expected without any update.
Status: REOPENED → RESOLVED
Closed: 4 years ago6 months ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.